void remote()
{
//=========Macro describing the ROOT I/O main program
//======== and an example of header file

   char *slide="remote";
   InitCanvas(slide);

   ptit = new TPaveLabel(6,22.7,14,23.8,"ROOT I/O:  Access to remote files");
   ptit->SetFillColor(41);
   ptit->Draw();

   root = new TText();
   root->SetTextFont(72);
   root->SetTextSize(0.028);
   root->SetTextColor(4);

   root->DrawText(2,19,"Root >");
   root->DrawText(2,18,"Root >");

   t = new TText();
   t->SetTextFont(62);
   t->SetTextSize(0.028);
   t->SetTextColor(2);
   t->DrawText(2,20,"~\351# Using a modified Web server (eg Apache)");
   t->SetTextColor(1);
   char name[100];
   sprintf(name,"TWebFile web(\"%s\")","http://hpbrun.cern.ch/dsts/file.root");
   t->DrawText(3.9,19,name);
//   t->DrawText(3.9,19,"TWebFile web("http://hpbrun.cern.ch/dsts/file.root")");
   t->DrawText(3.9,18,"hist.Draw("lego")");
   t->SetTextColor(6);
   t->SetTextFont(72);
   t->DrawText(4,17,"~\375# a TWebFile is read only");
   t->SetTextFont(62);

   t->SetTextColor(2);
   t->DrawText(2,15,"~\351# Using a multithreaded ROOT daemon");
   t->SetTextColor(1);
   root->DrawText(2,14,"Root >");
   root->DrawText(2,13,"Root >");
//   t->DrawText(3.9,14,"TNetFile net("root://pcna49a.cern.ch/prod96/run808.root")");
   char name[100];
   sprintf(name,"TNetFile net(\"%s\")","root://pcna49a.cern.ch/prod96/run808.root");
   t->DrawText(3.9,14,name);
   t->DrawText(3.9,13,"event.Draw()");
   t->SetTextColor(6);
   t->SetTextFont(72);
   t->DrawText(4,12,"~\375# TNetFile supports read and write mode.");
   t->DrawText(4,11,"~\375# TNetFile includes the RFIO functionality.");

   Signe(slide);
}
